## cascading.flow.local.planner
Class LocalStepRunner

    java.lang.Object
      cascading.flow.local.planner.LocalStepRunner

All Implemented Interfaces:
  Callable<Throwable>

    public class LocalStepRunner

extends Object
implements Callable<Throwable>

Constructor Summary
`LocalStepRunner(FlowProcess<Properties> flowProcess, LocalFlowStep step)`

Method Summary
`Throwable` `call()`
`FlowProcess<Properties>` `getFlowProcess()`
`Throwable` `getThrowable()`
`boolean` `isComplete()`
`boolean` `isSuccessful()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalStepRunner

    public LocalStepRunner(FlowProcess<Properties> flowProcess,
                           LocalFlowStep step)

Method Detail

### getFlowProcess

    public FlowProcess<Properties> getFlowProcess()

### isComplete

    public boolean isComplete()

### isSuccessful

    public boolean isSuccessful()

### getThrowable

    public Throwable getThrowable()

### call

    public Throwable call()
                   throws Exception

  Specified by:
    `call` in interface `Callable<Throwable>`
  Throws:
    `Exception`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.